<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     10.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $related_products ) : ?>

<div class="container">
	<section class="related products <?php single_list_class(); ?>">

		<?php
		$heading = apply_filters( 'woocommerce_product_related_products_heading', __( 'Related Products', 'celebshine' ) );

		if ( $heading ) :
			?>
			<h3><?php echo esc_html( $heading ); ?></h3>
		<?php endif; ?>
		
		<?php woocommerce_product_loop_start(); ?>
		<div class="owl-carousel">
			<?php foreach ( $related_products as $related_product ) : ?>

					<?php
					$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found

					if( class_exists( 'ReduxFramework' ) && function_exists( 'loadmore_postSC' ) ) {
						$celebshine_options = get_option( 'celebshine_options' );
						$product_layout = isset( $_GET['product_layout'] ) ? sanitize_text_field( $_GET['product_layout'] ) : '';
	
						if( $product_layout == "default" ){
							wc_get_template_part( 'content', 'product' );
						}elseif( $product_layout == "morden" ){
							wc_get_template_part( 'content', 'product-morden' );
						}elseif( $product_layout == "classic" ){
							wc_get_template_part( 'content', 'product-classic' );
						}elseif( $celebshine_options['product-layout'] == "product-layout-default" ){
							wc_get_template_part( 'content', 'product' );
						}elseif( $celebshine_options['product-layout'] == "product-layout-morden" ){
							wc_get_template_part( 'content', 'product-morden' );
						}elseif( $celebshine_options['product-layout'] == "product-layout-classic" ){
							wc_get_template_part( 'content', 'product-classic' );
						}
	
					}else{
							wc_get_template_part( 'content', 'product-classic' );
					}
				
					?>

			<?php endforeach; ?>
		</div>
		<?php woocommerce_product_loop_end(); ?>

	</section>
</div>
	<?php
endif;

wp_reset_postdata();
